<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- bootstrap css -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <!-- bootstrap js -->
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>

        <!-- jquery -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <!-- script.js -->
        {% load static %}
        <script src="{% static 'rumahsakit/js/script.js' %}" type="text/javascript"></script>
        <!-- style.css -->
        <link rel="stylesheet" href="{% static 'rumahsakit/css/style.css'%}">
        
        <title>Rumah Sakit</title>
        <link rel="icon" href="{% static 'icon.png'%}" type="icon">
        {% include 'navbar_rs.html' %}
    </head>

    <body>
        <div class="header">
            <h1>Daftar Rumah sakit</h1>
            <p>Berikut daftar rumah sakit rujukan covid-19</p>
        </div>
        <div class="filter-container">
            <label for="daerah">Filter berdasarkan lokasi</label>
            <select class="filter" id="daerah" name="daerah">
                <option id="placeholder" value="" disabled selected hidden>Pilih Lokasi</option>
                <option value="Jakarta">Jakarta</option>
                <option value="Bogor">Bogor</option>
                <option value="Depok">Depok</option>
                <option value="Tangerang">Tangerang</option>
                <option value="Bekasi">Bekasi</option>
                <option value="Semua">Semua</option>
            </select>
            <button type="button" class="btn apply-btn" id="apply">Apply</button>
        </div>
        
        <div class="card-container">
            {% if daftarrumahsakit %}
                {% for rumahsakit in daftarrumahsakit %}
                <div class="column">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title fw-bold">{{ rumahsakit.nama }}</h5>
                            <p class="card-text"><img src="{% static 'rumahsakit/pin.png' %}" height="19px" width="17.7px" style="margin-right: 10px;"> 
                                {{ rumahsakit.alamat }}</p>
                            <p class="card-text"><img src="{% static 'rumahsakit/telephone.png' %}" height="19px" width="20.1px" style="margin-right: 10px;"> 
                                {{ rumahsakit.nomor_telepon }}</p>
                        </div>
                    </div>
                </div>
                {% endfor %}
            {% endif %}
        </div>
        {% if user.is_authenticated %}
            <div class="add-container">
                <a href="/rumahsakit/add/"><button class="btn  btn-lg add-btn"> Tambah RS </button></a>
            </div>
        {% else %}
            <div class="add-container">
                <p>Login untuk menambahkan rumah sakit</p>
            </div>
        {% endif %}
    </body>
    <footer>
        <div class="add-container">
            <p>Made by b04</p>
        </div>
    </footer>
</html>